Bug 1898976 - python-llfuse fails to build with pytest 6: AttributeError: 'Function' object has no attribute 'catch_log_handler'
Summary: python-llfuse fails to build with pytest 6: AttributeError: 'Function' object...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-llfuse
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-18 12:27 UTC by Miro Hrončok
Modified: 2021-02-01 21:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-01 21:58:44 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github python-llfuse python-llfuse issues 35#issuecomment-764825445 0 None closed pytest issues 2021-02-01 21:56:29 UTC

Description Miro Hrončok 2020-11-18 12:27:28 UTC
python-llfuse fails to build with pytest 6:

+ py.test-3 -v test
============================= test session starts ==============================
platform linux -- Python 3.10.0a2, pytest-6.0.2, py-1.9.0, pluggy-0.13.1 -- /usr/bin/python3
cachedir: .pytest_cache
rootdir: /builddir/build/BUILD/llfuse-1.3.8/test, configfile: pytest.ini
collecting ... collected 14 items

test/test_api.py::test_inquire_bits ERROR                                [  7%]
test/test_api.py::test_inquire_bits ERROR                                [  7%]

==================================== ERRORS ====================================
_____________________ ERROR at setup of test_inquire_bits ______________________
Traceback (most recent call last):
  File "/builddir/build/BUILD/llfuse-1.3.8/test/pytest_checklogs.py", line 135, in pytest_runtest_setup
    check_output(item)
  File "/builddir/build/BUILD/llfuse-1.3.8/test/pytest_checklogs.py", line 131, in check_output
    check_test_log(item.catch_log_handler)
AttributeError: 'Function' object has no attribute 'catch_log_handler'
____________________ ERROR at teardown of test_inquire_bits ____________________
Traceback (most recent call last):
  File "/builddir/build/BUILD/llfuse-1.3.8/test/pytest_checklogs.py", line 141, in pytest_runtest_teardown
    check_output(item)
  File "/builddir/build/BUILD/llfuse-1.3.8/test/pytest_checklogs.py", line 131, in check_output
    check_test_log(item.catch_log_handler)
AttributeError: 'Function' object has no attribute 'catch_log_handler'
=========================== short test summary info ============================
ERROR test/test_api.py::test_inquire_bits - AttributeError: 'Function' object...
ERROR test/test_api.py::test_inquire_bits - AttributeError: 'Function' object...
!!!!!!!!!!!!!!!!!!!!!!!!!! stopping after 2 failures !!!!!!!!!!!!!!!!!!!!!!!!!!!
============================== 2 errors in 0.10s ===============================


This blocks the Python 3.10 test rebuilds, but does not only happen with Python 3.10: https://koji.fedoraproject.org/koji/taskinfo?taskID=55798451

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01773210-python-llfuse/

For all our attempts to build python-llfuse with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-llfuse/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Fedora Release Engineering 2020-12-06 04:22:34 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-13).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.